Index: extensions/event_cats/admin/template/duplication.tpl
===================================================================
--- extensions/event_cats/admin/template/duplication.tpl	(revision 4276)
+++ extensions/event_cats/admin/template/duplication.tpl	(revision 4329)
@@ -2,7 +2,4 @@
 
 {include file='../../../plugins/event_cats/admin/template/header.inc.tpl'}
-
-{* <!-- Available soon... --> *}
-<p>Bientôt disponible :-] !</p>
 
 <!-- Aknowledgement ----------------------------------------------------------
@@ -14,27 +11,63 @@
 <form action = "" method = "post" class = "titrePage" name = "ec_duplic_conf">
   <fieldset>
-    <legend>{'ec_duplication_config'|@translate}</legend>
+    <legend>{'Configuration'|@translate}</legend>
     <table>
       <tr>
-        <td>
-          <span style = "font-weight:bold;">{'ec_duplication_allowance'|@translate}&nbsp;&nbsp;</span>
+        <td style = "text-align:right; font-weight:bold;">
+          {'Duplication allowance'|@translate}&nbsp;&nbsp;
         </td>
         <td>
           <label for = "ec_dup_conf_none_id">
-            <input type = "radio" name = "ec_dup_conf[]" value = "none" id = "ec_dup_conf_none_id" />
-            {'ec_dup_allowance_none'|@translate}
-          </label><br>
+            <input
+              type = "radio" name = "ec_dup_conf" value = "0" id = "ec_dup_conf_none_id"
+              {if $ec_conf.dup_allow == '0'} checked = "checked" {/if}
+            />
+            {'No account'|@translate}
+          </label><br />
           <label for = "ec_dup_conf_group_id">
-            <input type = "radio" name = "ec_dup_conf[]" value = "group" id = "ec_dup_conf_group_id" />
-            {'ec_dup_allowance_group'|@translate}
-          </label><br>
+            <input
+              type = "radio" name = "ec_dup_conf" value = "2" id = "ec_dup_conf_group_id"
+              {if $ec_conf.dup_allow == '2'} checked = "checked" {/if}
+            />
+            {'Selection per group'|@translate}
+          </label><br />
           <label for = "ec_dup_conf_all_id">
-            <input type = "radio" name = "ec_dup_conf[]" value = "all" id = "ec_dup_conf_all_id" />
-            {'ec_dup_allowance_all'|@translate}
+            <input
+              type = "radio" name = "ec_dup_conf" value = "1" id = "ec_dup_conf_all_id"
+              {if $ec_conf.dup_allow == '1'} checked = "checked" {/if}
+            />
+            {'All accounts'|@translate}
           </label>
+        </td>
+        <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td> {* <!-- sorry :-\ --> *}
+        <td style = "text-align:right; font-weight:bold;">
+          {$ec_dup_link_conf}&nbsp;&nbsp;
+        </td>
+        <td>
+          <label for = "ec_dup_disp_normal_id">
+            <input
+              type = "radio" name = "ec_dup_disp" value = "0" id = "ec_dup_disp_normal_id"
+              {if $ec_conf.duplic_display == '0'} checked = "checked" {/if}
+            />
+            {'No account'|@translate}
+          </label><br />
+          <label for = "ec_dup_disp_but_gen_id">
+            <input
+              type = "radio" name = "ec_dup_disp" value = "2" id = "ec_dup_disp_but_gen_id"
+              {if $ec_conf.duplic_display == '2'} checked = "checked" {/if}
+            />
+            {'All but generics'|@translate}
+          </label><br />
+          <label for = "ec_dup_disp_dup_id">
+            <input
+              type = "radio" name = "ec_dup_disp" value = "1" id = "ec_dup_disp_dup_id"
+              {if $ec_conf.duplic_display == '1'} checked = "checked" {/if}
+            />
+            {'All accounts'|@translate}
+          </label><br />
         </td>
       </tr>
     </table>
-    <input class = "submit" type = "submit" name = "ec_duplic_conf_submit" value = "{'ec_dup_conf_sbmt_lbl'|@translate}" />
+    <input class = "submit" type = "submit" name = "ec_duplic_conf_submit" value = "{'Save dup. config btn'|@translate}" />
   </fieldset>
 </form>
@@ -46,5 +79,5 @@
   
   <fieldset>
-    <legend>{'ec_duplic_ok'|@translate}</legend>
+    <legend>{'Duplication allowed'|@translate}</legend>
     <ul>
       {foreach from=$groups_granted_ids item=id}
@@ -52,9 +85,9 @@
       {/foreach}
     </ul>
-    <input class = "submit" type = "submit" name = "deny_groups_submit" value = "{'ec_dup_grp_ok_sbmt_lbl'|@translate}" />
+    <input class = "submit" type = "submit" name = "deny_groups_submit" value = "{'Deny to groups btn'|@translate}" />
   </fieldset>
   
   <fieldset>
-    <legend>{'ec_duplic_nok'|@translate}</legend>
+    <legend>{'Duplication denied'|@translate}</legend>
     <ul>
       {foreach from=$groups_denied_ids item=id}
@@ -62,14 +95,14 @@
       {/foreach}
     </ul>
-    <input class = "submit" type = "submit" name = "grant_groups_submit" value = "{'ec_dup_grp_nok_sbmt_lbl'|@translate}" />
+    <input class = "submit" type = "submit" name = "grant_groups_submit" value = "{'Grant to groups btn'|@translate}" />
   </fieldset>
   
-  <h4>{'ec_dup_types'|@translate}</h4>
+  <h4>{'Types'|@translate}</h4>
   
   <fieldset>
-    <legend>{'ec_duplic_ok'|@translate}</legend>
+    <legend>{'Duplication allowed'|@translate}</legend>
     <ul>
       {if $ec_gen_granted}
-      <li><label><input type = "checkbox" name = "deny_generic" {* id = "ec_dup_types_generic_nok_id" *} /> {'user_status_generic'|@translate}</label></li>
+      <li><label><input type = "checkbox" name = "deny_generic" /> {'user_status_generic'|@translate}</label></li>
       <br />
       {/if}
@@ -78,12 +111,12 @@
       {/foreach}
     </ul>
-    <input class = "submit" type = "submit" name = "deny_types_submit" value = "{'ec_dup_typ_sbmt_nok_lbl'|@translate}" />
+    <input class = "submit" type = "submit" name = "deny_types_submit" value = "{'Deny to types btn'|@translate}" />
   </fieldset>
   
   <fieldset>
-    <legend>{'ec_duplic_nok'|@translate}</legend>
+    <legend>{'Duplication denied'|@translate}</legend>
     <ul>
       {if !$ec_gen_granted}
-      <li><label><input type = "checkbox" name = "grant_generic" {* id = "ec_dup_types_generic_ok_id" *} /> {'user_status_generic'|@translate}</label></li>
+      <li><label><input type = "checkbox" name = "grant_generic" /> {'user_status_generic'|@translate}</label></li>
       <br />
       {/if}
@@ -92,5 +125,5 @@
       {/foreach}
     </ul>
-    <input class = "submit" type = "submit" name = "grant_types_submit" value = "{'ec_dup_typ_sbmt_ok_lbl'|@translate}" />
+    <input class = "submit" type = "submit" name = "grant_types_submit" value = "{'Grant to types btn'|@translate}" />
   </fieldset>
   
@@ -98,5 +131,5 @@
   
   <fieldset>
-    <legend>{'ec_duplic_ok'|@translate}</legend>
+    <legend>{'Duplication allowed'|@translate}</legend>
     <ul>
       {foreach from=$users_granted_direct_ids item=id}
@@ -104,9 +137,9 @@
       {/foreach}
     </ul>
-    <input class = "submit" type = "submit" name = "deny_users_submit" value = "{'ec_dup_usr_ok_sbmt_lbl'|@translate}" />
+    <input class = "submit" type = "submit" name = "deny_users_submit" value = "{'Deny to users btn'|@translate}" />
   </fieldset>
   
   <fieldset>
-    <legend>{'ec_duplic_ok_groups'|@translate}</legend>
+    <legend>{'Dup. allowed tks to'|@translate}</legend>
     {if isset($user_granted_indirects) }
     <ul>
@@ -119,5 +152,5 @@
   
   <fieldset>
-    <legend>{'ec_duplic_nok'|@translate}</legend>
+    <legend>{'Duplication denied'|@translate}</legend>
     <ul>
       {foreach from=$users_denied_ids item=id}
@@ -125,27 +158,9 @@
       {/foreach}
     </ul>
-    <input class = "submit" type = "submit" name = "grant_users_submit" value = "{'ec_dup_usr_nok_sbmt_lbl'|@translate}" />
+    <input class = "submit" type = "submit" name = "grant_users_submit" value = "{'Grant to users btn'|@translate}" />
   </fieldset>
   
 </form>
 
-
-
-
-{* <!-- JavaScript functions --> *}
-{* <!--
-<script type = "text/javascript" src = "{$RACINE_URL}{$EVNTCATS_PATH}admin/template/autolog_new.js"></script>
-<script type = "text/javascript"><!--
-  ec_JS_message['ec_gen_user_act_miss'] = "{'ec_gen_user_act_miss'|@translate|@escape:javascript}";
-  ec_JS_message['ec_act_cat_miss']      = "{'ec_act_cat_miss'|@translate|@escape:javascript}";
-  ec_JS_message['ec_new_pwd_gen']       = "{'ec_new_pwd_gen'|@translate|@escape:javascript}";
-  ec_JS_message['ec_up_code_lbl_home']  = "{'ec_up_code_lbl_home'|@translate}";
-  ec_init();
-//--></script>
---> *}
-
 {include file='../../../plugins/event_cats/admin/template/footer.inc.tpl'}
 
-{* <!--
---> *}
-
